import request from '@/utils/request'

// 确认照明，电伴热
export function handleConfirmLighting(data) {
  return request({
    url: '/pssr/lighting/confirmLighting',
    method: 'put',
    data: data
  })
}

// 驳回照明，电伴热
export function handleTurnDownLighting(data) {
  return request({
    url: '/pssr/lighting/turnDownLighting',
    method: 'put',
    data: data
  })
}

// 查询照明列表
export function listLighting(query) {
  return request({
    url: '/pssr/lighting/list',
    method: 'get',
    params: query
  })
}

// 查询照明详细
export function getLighting(id) {
  return request({
    url: '/pssr/lighting/' + id,
    method: 'get'
  })
}

// 新增照明
export function addLighting(data) {
  return request({
    url: '/pssr/lighting',
    method: 'post',
    data: data
  })
}

// 修改照明
export function updateLighting(data) {
  return request({
    url: '/pssr/lighting',
    method: 'put',
    data: data
  })
}

//
export function updateLightingBatch(data) {
  return request({
    url: '/pssr/lighting/editBatch',
    method: 'put',
    data: data
  })
}


// 删除照明
export function delLighting(id) {
  return request({
    url: '/pssr/lighting/' + id,
    method: 'delete'
  })
}

// 导出照明
export function exportLighting(query) {
  return request({
    url: '/pssr/lighting/export',
    method: 'get',
    params: query
  })
}
